> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/contextual-targeting/contextual-related-entities.md).

# Contextual Related Entities

Operations related to Contextual Related Entities that map relationships between identified entities in content.

## GET /communities/{community\_id}/contextual/entities/{entity\_id}/related\_entities

> List all entities linked to a given entities based on a relevance score

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual Related Entities","description":"Operations related to Contextual Related Entities that map relationships between identified entities in content."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/communities/{community_id}/contextual/entities/{entity_id}/related_entities":{"get":{"summary":"List all entities linked to a given entities based on a relevance score","parameters":[{"in":"path","name":"community_id","style":"simple","schema":{"type":"string"},"explode":false,"required":true,"description":"Entities are linked to a channel that are linked to a datamart. You can look for all the entities of any datamart within the community."},{"style":"simple","schema":{"type":"string"},"name":"entity_id","required":true,"description":"Entity to look for related entities","in":"path","explode":false},{"name":"first_result","in":"query","style":"form","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"explode":true,"required":false},{"in":"query","name":"max_results","style":"form","schema":{"type":"integer","format":"int32"},"explode":true,"required":false,"description":"Number of maximum items that shall be return by this search"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ContextualTargetingRelatedEntityResource"}},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Contextual Related Entities"],"operationId":"getContextualTargetingRelatedEntities"}}},"components":{"schemas":{"ContextualTargetingRelatedEntityResource":{"allOf":[{"$ref":"#/components/schemas/ContextualTargetingEntity"},{"type":"object","properties":{"last_30_days_page_views":{"format":"int64","type":"integer","default":0,"readOnly":true},"related_to":{"type":"string","readOnly":true},"wikidata_id":{"type":"string","readOnly":true},"relevance":{"readOnly":true,"format":"float","default":0,"type":"number"},"id":{"type":"string","readOnly":true},"type":{"type":"string","readOnly":true},"url_count":{"format":"int64","type":"integer","default":0,"readOnly":true},"name":{"type":"string","readOnly":true}},"required":["id","name","related_to","relevance","type","wikidata_id"]}]},"ContextualTargetingEntity":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/contextual-targeting/contextual-related-entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
